/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */

// This file is autogenerated.


import {registerKernel} from '@tensorflow/tfjs-core/dist/base';
import '@tensorflow/tfjs-core/dist/base_side_effects';
export * from '@tensorflow/tfjs-core/dist/base';
export * from '@tensorflow/tfjs-converter';

//backend = wasm
export * from '@tensorflow/tfjs-backend-wasm/dist/base';
import {castConfig as Cast_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Cast';
registerKernel(Cast_wasm);
import {expandDimsConfig as ExpandDims_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/ExpandDims';
registerKernel(ExpandDims_wasm);
import {reshapeConfig as Reshape_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Reshape';
registerKernel(Reshape_wasm);
import {resizeBilinearConfig as ResizeBilinear_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/ResizeBilinear';
registerKernel(ResizeBilinear_wasm);
import {realDivConfig as RealDiv_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/RealDiv';
registerKernel(RealDiv_wasm);
import {subConfig as Sub_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Sub';
registerKernel(Sub_wasm);
import {multiplyConfig as Multiply_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Multiply';
registerKernel(Multiply_wasm);
import {fusedConv2DConfig as FusedConv2D_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/FusedConv2D';
registerKernel(FusedConv2D_wasm);
import {depthwiseConv2dNativeConfig as DepthwiseConv2dNative_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/DepthwiseConv2dNative';
registerKernel(DepthwiseConv2dNative_wasm);
import {addConfig as Add_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Add';
registerKernel(Add_wasm);
import {reluConfig as Relu_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Relu';
registerKernel(Relu_wasm);
import {padV2Config as PadV2_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/PadV2';
registerKernel(PadV2_wasm);
import {packConfig as Pack_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Pack';
registerKernel(Pack_wasm);
import {maxPoolConfig as MaxPool_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/MaxPool';
registerKernel(MaxPool_wasm);
import {sliceConfig as Slice_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Slice';
registerKernel(Slice_wasm);
import {stridedSliceConfig as StridedSlice_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/StridedSlice';
registerKernel(StridedSlice_wasm);
import {concatConfig as Concat_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Concat';
registerKernel(Concat_wasm);
import {identityConfig as Identity_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Identity';
registerKernel(Identity_wasm);
import {sigmoidConfig as Sigmoid_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/Sigmoid';
registerKernel(Sigmoid_wasm);
import {nonMaxSuppressionV3Config as NonMaxSuppressionV3_wasm} from '@tensorflow/tfjs-backend-wasm/dist/kernels/NonMaxSuppressionV3';
registerKernel(NonMaxSuppressionV3_wasm);